Bug 124122 - Upgrade from FC1 to FC2 breaks CD recording
Upgrade from FC1 to FC2 breaks CD recording
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 06:20 EDT by Nigel Horne
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 14:34:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2004-05-24 06:20:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.6) Gecko/20040510

Description of problem:
Since upgrading from FC1 to FC2, cdrecord no longer notices my
CD-writer (hdd), it only sees the DVD on hdc.

[root@njh dev]# cdrecord --scanbus
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Warning: Using badly designed ATAPI via /dev/hd* interface.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.80-RH '@(#)scsi-linux-sg.c       
1.80 04/03/08 Copyright 1997 J. Schilling').
scsibus1:
        1,0,0   100) 'TOSHIBA ' 'DVD-ROM SD-M1612' '1004' Removable CD-ROM
        1,1,0   101) *
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *

Version-Release number of selected component (if applicable):
cdrecord-2.01-0.a27.3

How reproducible:
Always

Steps to Reproduce:
1. cdrecord -scanbus
2.
3.
    

Actual Results:  Only DVD is found

Expected Results:  DVD and CDRW should be located

Additional info:

If it's any help, 'eject cdrom1' which under FC1 ejected my CDRW,
no longer works either, though 'eject cdrom' still correctly ejects my
DVD drive:

[root@njh dev]# eject cdrom1
eject: unable to open `/dev/hdd'
[root@njh dev]# ls -l /dev/hdd
brw-------  1 njh disk 22, 64 Feb 23 21:02 /dev/hdd
[root@njh dev]#
Comment 1 Harald Hoyer 2004-05-24 06:50:34 EDT
what does
# cdrecord --scanbus dev=ATAPI:
output?
Comment 2 Nigel Horne 2004-05-24 07:04:14 EDT
I have found that the upgrade process did not change hdd=ide-scsi to 
hdd=ide-cd in grub.conf. cdrecord now finds the device and eject 
works, however writing still fails to open /dev/sg* so I can't 
create CDs 
 
Here is the output you requested: 
 
[root@njh njh]# cdrecord --scanbus dev=ATAPI: 
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 
1995-2004 Jörg Schilling 
Note: This version is an unofficial (modified) version with DVD 
support 
Note: and therefore may have bugs that are not present in the 
original. 
Note: Please send bug reports or support requests to 
<warly@mandrakesoft.com>. 
Note: The author of cdrecord should not be bothered with problems in 
this version. 
scsidev: 'ATAPI:' 
devname: 'ATAPI' 
scsibus: -1 target: -1 lun: -1 
Warning: Using ATA Packet interface. 
Warning: The related libscg interface code is in pre alpha. 
Warning: There may be fatal problems. 
Using libscg version 'schily-0.8'. 
scsibus0: 
        0,0,0     0) 'TOSHIBA ' 'DVD-ROM SD-M1612' '1004' Removable 
CD-ROM 
        0,1,0     1) 'SAMSUNG ' 'CD-R/RW SW-224B ' 'R200' Removable 
CD-ROM 
        0,2,0     2) * 
        0,3,0     3) * 
        0,4,0     4) * 
        0,5,0     5) * 
        0,6,0     6) * 
        0,7,0     7) * 
 
Comment 3 Harald Hoyer 2004-05-24 07:33:56 EDT
try to write with:

# cdrecord dev=ATAPI:0,1,0 ....
or
# cdrecord dev=/dev/hdd
Comment 4 Nigel Horne 2004-05-24 12:09:49 EDT
cdrecord dev=ATAPI:0,1,0 has worked, thanks. 
 
Looks like the main confusion was caused by the upgrade process 
failing to change the hdd= entry in grub.conf 
Comment 5 Nigel Horne 2004-05-25 05:58:48 EDT
Your resolution 'not a bug' is incorrect. There is a bug, but the bug 
was in the upgrade process. Please reassign to the correct team 
rather than just saying 'not my problem so I'm going to close it'. 
Comment 6 Harald Hoyer 2004-05-25 06:25:29 EDT
ok... problem is in anaconda? did you use the installer to upgrade?
Comment 7 Nigel Horne 2004-05-25 06:33:37 EDT
I booted off the ISO images that I'd downloaded and upgraded from 
there. 
Comment 8 Harald Hoyer 2004-05-25 06:52:12 EDT
ok, then I'll blame anaconda or the kernel :)
Comment 9 Jeremy Katz 2004-05-25 23:41:08 EDT
Can you attach your boot loader config?
Comment 11 Jeremy Katz 2004-05-26 10:55:02 EDT
Yep, that's the file... I'm guessing you put the ide-cd in (instead of
ide-scsi)?  Can you grab /proc/sys/dev/kernel/info?
Comment 12 Nigel Horne 2004-05-26 12:04:58 EDT
Yes, I did. 
 
[njh@njh njh]$ cat /proc/sys/dev/kernel/info 
cat: /proc/sys/dev/kernel/info: No such file or directory 
[njh@njh njh]$ 
 
Comment 13 Jeremy Katz 2004-05-26 12:13:27 EDT
Err, I can't type.  I blame the fact that I had a conference call far
too early this morning.  /proc/sys/dev/cdrom/info
Comment 14 Nigel Horne 2004-05-27 06:23:39 EDT
[njh@njh backup]$ cat  /proc/sys/dev/cdrom/info 
CD-ROM information, Id: cdrom.c 3.20 2003/12/17 
 
drive name:             hdd     hdc 
drive speed:            40      48 
drive # of slots:       1       1 
Can close tray:         1       1 
Can open tray:          1       1 
Can lock tray:          1       1 
Can change speed:       1       1 
Can select disk:        0       0 
Can read multisession:  1       1 
Can read MCN:           1       1 
Reports media changed:  1       1 
Can play audio:         1       1 
Can write CD-R:         1       0 
Can write CD-RW:        1       0 
Can read DVD:           0       1 
Can write DVD-R:        0       0 
Can write DVD-RAM:      0       0 
Can read MRW:           0       0 
Can write MRW:          0       0 
Can write RAM:          1       0 
 
 
[njh@njh backup]$ 
Comment 15 Jeremy Katz 2004-06-08 15:39:55 EDT
And you're sure it was ide-scsi and not perhaps something mistyped?  I
can't see how this wouldn't have gotten replaced with the code I added
to do removal of ide-scsi lines
Comment 16 Jeremy Katz 2004-10-07 14:34:07 EDT
Closing due to inactivity.  Please reopen if you have further
information on this report.

Note You need to log in before you can comment on or make changes to this bug.